<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_announcement_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_announcement_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}" value="{{ form.slug.value|stringformat:'s' }}">
    {% endif %}
    
    <div class="form-group">
        <label for="{{ form.title.id_for_label }}">Judul</label>
        <input type="text" placeholder="Masukkan judul pengumuman..."
            class="form-control {% if form.title.errors %}is-invalid{% endif %}"
            name="{{ form.title.name }}"
            id="{{ form.title.id_for_label }}" 
            maxlength="{{ form.title.field.max_length }}"
            {% if form.title.value != None %}value="{{ form.title.value|stringformat:'s' }}"{% endif %}
            {% if form.title.field.required %}required{% endif %} >
        {% if form.title.errors %}
            <div class="invalid-feedback">
                {{ form.title.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label for="{{ form.jenis.id_for_label }}">Jenis</label>
        <select 
            class="form-control" 
            name="{{ form.jenis.name }}"
            {% if form.title.field.required %}required{% endif %}>
                {% for choice in form.jenis.field.choices %}
                    <option value="{{ choice.0 }}"{% if form.jenis.value == choice.0 %} selected{% endif %}>
                        {{ choice.1 }}
                    </option>
                {% endfor %}
        </select>
    </div>

    <div class="form-group">
        <label for="{{ form.description.id_for_label }}">Keterangan</label>
        <textarea 
            class="form-control {% if form.description.errors %}is-invalid{% endif %}" 
            id="{{ form.description.id_for_label }}" 
            name="{{ form.description.name }}"
            maxlength="{{ form.description.field.max_length }}"
            {% if form.description.field.required %}required{% endif %}
            rows="5">{% if form.description.value != None %}{{ form.description.value|stringformat:'s' }}{% endif %}</textarea>
        {% if form.description.errors %}
            <div class="invalid-feedback">
                {{ form.description.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label for="{{ form.dokumen.id_for_label }}">Dokumen (opsional)</label>
        <input type="file" placeholder="Masukkan dokumen dokumen..."
            class="form-control {% if form.dokumen.errors %}is-invalid{% endif %}"
            name="{{ form.dokumen.name }}"
            id="{{ form.dokumen.id_for_label }}" 
            maxlength="{{ form.dokumen.field.max_length }}"
            {% if form.dokumen.field.required and not edit %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}
                Kosongi apabila tidak ingin mengganti file. {% if announcement.dokumen %}<a href="{{ announcement.dokumen.url }}" target="_blank"><i class="bi bi-file-earmark"> File lama</i></a>{% endif %}
            {% else %}
                Kosongi apabila tidak membutuhkan file.
            {% endif %}
        </small>
            {% if form.dokumen.errors %}
            <div class="invalid-feedback">
                {{ form.dokumen.errors }}
            </div>
        {% endif %}
    </div>
    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>